Subject: bug#6305: 24.0.50; Regression: most, but not all, keyboard shortcuts are missing

From: Stefan Monnier <[email-masked]>
Date: Mon, 31 May 2010 11:31:53 -0400

>> This is a regression from 23.1 to 23.2.
>> I don't have a recipe from emacs -Q.  I'm sure you could create one.

That would be *very* helpful.

>> In Emacs 22 and 23.1, keyboard shortcuts ("equivalents", if you
>> prefer) are indicated correctly in menus.  In both Emacs 23.2 and
>> the recent build noted below, this is horribly broken.

That's bad.

> I have also noticed that key bindings are not always shown in the
> menus, but I wondered if that was because I was using
> overriding-terminal-local-map there. I havn't had time to check,
> however key bindings in global map and normal minor mode maps seems to
> show up fine in the menus.

I don't know where to start looking without a reproducible recipe.
The fix for 6171 only touched tmm.el so it can't affect GUI menus.

> In the C code it looks up key bindings like this:
>   (where-is-internal 'ido-kill-buffer nil t nil nil)
> However it seems like key remapping is forgotten there.

In which sense?

> where-is-internal does not handle remapping.

There are many different ways to "handle" remapping.  where-is-internal
most definitely has code to do something specific with remapping.

> Could someone who knows remapping please look at that?

Look at what?

        Stefan